Subject: Re: Re: [Idr] Re:Commentsondraft-zhang-idr-bgp-entire-routes-reflect-00.txt

From: Zhang Renhai <[email-masked]>
Date: Wed, 03 Aug 2005 21:43:08 +0800

Hi, Manav

  Sorry for replying you so late.

  Actually, I think if the attribute of any route is not changed when
forwarding, then loop will not occur.

Thanks,
Zhang 

======= 2005-07-30 08:03:00：=======

>Hi Zhang,
>
>Besides proposing a way to advertise multiple paths,
>draft-bhatia-ecmp-routes-in-bgp-01.txt also discusses how an implementation
>should construct its AS_PATH wherein the path length is preserved and
>sufficient information is provided to avoid loops, if its using equal cost
>BGP paths for its forwarding.
>
>Thanks,
>Manav
>
>----- Original Message ----- 
>From: "Zhang Renhai" <[email-masked]>
>To: "Alvaro Retana" <[email-masked]>; "Tulip Rasputin"
><[email-masked]>
>Cc: <[email-masked]>; <[email-masked]>
>Sent: Friday, July 29, 2005 11:45 AM
>Subject: Re: [Idr]
>Re:Commentsondraft-zhang-idr-bgp-entire-routes-reflect-00.txt
>
>
>> Hi, Alvaro
>>
>>  I think this is an interesting topic because there are now three drafts
>addressing it
>> I recently looked through other two drafts,  one is yours and other is
>> draft-bhatia-ecmp-routes-in-bgp-01.txt,  and I think the goal is basically
>same but the
>> mechanism to achieve it is very different. If you will, I'd like to
>discuss with you next
>> week at Paris if the meeting time is not enough to talk.
>>
>> Cheers,
>> Zhang
>>
>> ----- Original Message ----- 
>> From: "Alvaro Retana" <[email-masked]>
>> To: "Tulip Rasputin" <[email-masked]>
>> Cc: <[email-masked]>; <[email-masked]>
>> Sent: Thursday, July 28, 2005 5:16 AM
>> Subject: Re: [Idr] Re:
>Commentsondraft-zhang-idr-bgp-entire-routes-reflect-00.txt
>>
>>
>> > On Tue, 19 Jul 2005, Tulip Rasputin wrote:
>> >
>> > Tulip:
>> >
>> > -> !> Would you be so kind to comment what proposed in your draft has
>not
>> > -> !> already been addressed in our ADD_PATHs proposal RR !>
>functionality
>> > -> wise ?
>> > ->
>> > -> I see absolutely nothing wrong in this!
>> > ->
>> > -> There isnt any rule in the IETF that forbids multiple submissions to
>> > -> achieve the same objective. Its left on the community to decide which
>> > -> proposal they are most comfortable with. If it happens to be the
>draft
>> > -> thats been submitted later, then so be it!
>> > ->
>> > -> IETF is an open standards body, in case you forgot that, and nothing,
>> > -> is patented here. If you dont want others to address the same issues
>> > -> that you've been trying to solve, then IETF isnt really the right
>place
>> > -> for you to start with!
>> > ->
>> > -> YOu should be patenting your ideas, but then, nobody else is going to
>> > -> implement them.
>> >
>> > I think Robert was only asking Zhang to compare...nothing else.
>> >
>> > In any case, I think we can all agree about the openness of the IETF,
>> > multiple solutions, community, etc..
>> >
>> > Just to clarify, we have no IPR claims over any part of the ADD_PATH
>work.
>> > Also, We have posted an update to the draft and plan to talk about it
>next
>> > week.
>> >
>> > Thanks!
>> >
>> > Alvaro.
>> >
>> > -> !> Ref: draft-walton-bgp-add-paths-03.txt
>> >
>> > _______________________________________________
>> > Idr mailing list
>> > [email-masked]
>> > https://www1.ietf.org/mailman/listinfo/idr
>>
>>
>> _______________________________________________
>> Idr mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/idr

= = = = = = = = = = = = = = = = = = = =

　　　　　　　　Zhang Renhai
　　　　　　　　[email-masked]
　　　　　　　　　　2005-08-03

_______________________________________________
Idr mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/idr